Loading...
Searching...
No Matches
enum_bitwise_operators Interface Reference

You can expect these functions on all types that overload seqan3::add_enum_bitwise_operators. More...

`#include <seqan3/core/add_enum_bitwise_operators.hpp>`

## Related Symbols

(Note that these are not member symbols.)
Requirements for seqan3::enum_bitwise_operators
You can expect these member functions.
| operator& (t lhs, t rhs)
| Returns the binary & operator of lhs and rhs.
| operator| (t lhs, t rhs)
| Returns the binary | operator of lhs and rhs.
| operator^ (t lhs, t rhs)
| Returns the binary ^ operator of lhs and rhs.
| operator~ (t lhs)
| Returns the binary ~ operator of lhs.
| operator&= (t &lhs, t rhs)
| Returns the binary &= operator of lhs and rhs.
| operator|= (t &lhs, t rhs)
| Returns the binary |= operator of lhs and rhs.
| operator^= (t &lhs, t rhs)
| Returns the binary ^= operator of lhs and rhs.

## Detailed Description

You can expect these functions on all types that overload seqan3::add_enum_bitwise_operators.

## Friends And Related Symbol Documentation

## operator&()

operator& | ( | t | lhs,
|  | t | rhs )

related

Returns the binary & operator of lhs and rhs.

Parameters

  lhs | First enum.
  rhs | Second enum.

Returns
  the binary conjunction of lhs and rhs.

## operator&=()

operator&= | ( | t & | lhs,
|  | t | rhs )

related

Returns the binary &= operator of lhs and rhs.

Parameters

  lhs | First enum.
  rhs | Second enum.

Returns
  the binary AND assigment on lhs.

## operator^()

operator^ | ( | t | lhs,
|  | t | rhs )

related

Returns the binary ^ operator of lhs and rhs.

Parameters

  lhs | First enum.
  rhs | Second enum.

Returns
  the binary XOR operation on lhs and rhs.

## operator^=()

operator^= | ( | t & | lhs,
|  | t | rhs )

related

Returns the binary ^= operator of lhs and rhs.

Parameters

  lhs | First enum.
  rhs | Second enum.

Returns
  the binary XOR assignment on lhs.

## operator|()

operator| | ( | t | lhs,
|  | t | rhs )

related

Returns the binary | operator of lhs and rhs.

Parameters

  lhs | First enum.
  rhs | Second enum.

Returns
  the binary disjunction of lhs and rhs.

## operator|=()

operator|= | ( | t & | lhs,
|  | t | rhs )

related

Returns the binary |= operator of lhs and rhs.

Parameters

  lhs | First enum.
  rhs | Second enum.

Returns
  the binary OR assignment on lhs.

## operator~()

operator~ | ( | t | lhs | ) |

related

Returns the binary ~ operator of lhs.

Parameters

  lhs | First enum.

Returns
  the binary NOT operation on lhs.

The documentation for this interface was generated from the following file:

- add_enum_bitwise_operators.hpp

Hide me